Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/withdraw \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 6931,
  "method": "private/withdraw",
  "params": {
    "currency": "BTC",
    "address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
    "amount": 0.4,
    "priority": "mid"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/withdraw"

payload = {
"jsonrpc": "2.0",
"id": 6931,
"method": "private/withdraw",
"params": {
"currency": "BTC",
"address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
"amount": 0.4,
"priority": "mid"
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 6931,
method: 'private/withdraw',
params: {
currency: 'BTC',
address: '2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz',
amount: 0.4,
priority: 'mid'
}
})
};

fetch('https://test.deribit.com/api/v2/private/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 7420,
  "result": {
    "address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
    "amount": 0.5,
    "confirmed_timestamp": null,
    "created_timestamp": 1550571443070,
    "currency": "BTC",
    "fee": 0.0001,
    "id": 1,
    "priority": 0.15,
    "state": "cancelled",
    "transaction_id": null,
    "updated_timestamp": 1550571443070
  }
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
address
string
required

Address in currency format, it must be in address book

amount
number
required

Amount of funds to be withdrawn

priority
enum<string>

Withdrawal priority, optional for BTC, default: high

Available options:
insane,
extreme_high,
very_high,
high,
mid,
low,
very_low
nonce
string

Optional idempotency nonce. If provided, subsequent requests with the same nonce will return the previously created transaction instead of creating a new one. Must be 8-128 characters. The nonce is persisted on the resulting transaction and returned in the response. Nonce

Example:

"bF1_gfgcsd"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request